diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/screen.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/screen.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/screen.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/screen.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 96,102 ****
  	if ( $use_defaults ) {
  		$hidden = array();
  		if ( 'post' == $screen->base ) {
! 			if ( 'post' == $screen->post_type || 'page' == $screen->post_type )
  				$hidden = array('slugdiv', 'trackbacksdiv', 'postcustom', 'postexcerpt', 'commentstatusdiv', 'commentsdiv', 'authordiv', 'revisionsdiv');
  			else
  				$hidden = array( 'slugdiv' );
--- 96,102 ----
  	if ( $use_defaults ) {
  		$hidden = array();
  		if ( 'post' == $screen->base ) {
! 			if ( 'post' == $screen->post_type || 'page' == $screen->post_type || 'attachment' == $screen->post_type )
  				$hidden = array('slugdiv', 'trackbacksdiv', 'postcustom', 'postexcerpt', 'commentstatusdiv', 'commentsdiv', 'authordiv', 'revisionsdiv');
  			else
  				$hidden = array( 'slugdiv' );
***************
*** 244,252 ****
--- 244,264 ----
  	public $id;
  
  	/**
+ 	 * Which admin the screen is in. network | user | site | false
+ 	 *
+ 	 * @since 3.5.0
+ 	 * @var string
+ 	 * @access protected
+ 	 */
+ 	protected $in_admin;
+ 
+ 	/**
  	 * Whether the screen is in the network admin.
  	 *
+ 	 * Deprecated. Use in_admin() instead.
+ 	 *
  	 * @since 3.3.0
+ 	 * @deprecated 3.5.0
  	 * @var bool
  	 * @access public
  	 */
***************
*** 255,261 ****
--- 267,276 ----
  	/**
  	 * Whether the screen is in the user admin.
  	 *
+ 	 * Deprecated. Use in_admin() instead.
+ 	 *
  	 * @since 3.3.0
+ 	 * @deprecated 3.5.0
  	 * @var bool
  	 * @access public
  	 */
***************
*** 377,383 ****
  			return $hook_name;
  
  		$post_type = $taxonomy = null;
! 		$is_network = $is_user = false;
  		$action = '';
  
  		if ( $hook_name )
--- 392,398 ----
  			return $hook_name;
  
  		$post_type = $taxonomy = null;
! 		$in_admin = false;
  		$action = '';
  
  		if ( $hook_name )
***************
*** 402,411 ****
  		if ( ! $post_type && $hook_name ) {
  			if ( '-network' == substr( $id, -8 ) ) {
  				$id = substr( $id, 0, -8 );
! 				$is_network = true;
  			} elseif ( '-user' == substr( $id, -5 ) ) {
  				$id = substr( $id, 0, -5 );
! 				$is_user = true;
  			}
  
  			$id = sanitize_key( $id );
--- 417,426 ----
  		if ( ! $post_type && $hook_name ) {
  			if ( '-network' == substr( $id, -8 ) ) {
  				$id = substr( $id, 0, -8 );
! 				$in_admin = 'network';
  			} elseif ( '-user' == substr( $id, -5 ) ) {
  				$id = substr( $id, 0, -5 );
! 				$in_admin = 'user';
  			}
  
  			$id = sanitize_key( $id );
***************
*** 419,431 ****
  					$post_type = $maybe;
  				}
   			}
  		} else {
! 			$is_network = is_network_admin();
! 			$is_user = is_user_admin();
  		}
  
  		if ( 'index' == $id )
  			$id = 'dashboard';
  
  		$base = $id;
  
--- 434,455 ----
  					$post_type = $maybe;
  				}
   			}
+ 
+ 			if ( ! $in_admin )
+ 				$in_admin = 'site';
  		} else {
! 			if ( defined( 'WP_NETWORK_ADMIN' ) && WP_NETWORK_ADMIN )
! 				$in_admin = 'network';
! 			elseif ( defined( 'WP_USER_ADMIN' ) && WP_USER_ADMIN )
! 				$in_admin = 'user';
! 			else
! 				$in_admin = 'site';
  		}
  
  		if ( 'index' == $id )
  			$id = 'dashboard';
+ 		elseif ( 'front' == $id )
+ 			$in_admin = false;
  
  		$base = $id;
  
***************
*** 472,485 ****
  			case 'edit-tags' :
  				if ( null === $taxonomy )
  					$taxonomy = 'post_tag';
  				$id = 'edit-' . $taxonomy;
  				break;
  		}
  
! 		if ( $is_network ) {
  			$id   .= '-network';
  			$base .= '-network';
! 		} elseif ( $is_user ) {
  			$id   .= '-user';
  			$base .= '-user';
   		}
--- 496,516 ----
  			case 'edit-tags' :
  				if ( null === $taxonomy )
  					$taxonomy = 'post_tag';
+ 				// The edit-tags ID does not contain the post type. Look for it in the request.
+ 				if ( null === $post_type ) {
+ 					$post_type = 'post';
+ 					if ( isset( $_REQUEST['post_type'] ) && post_type_exists( $_REQUEST['post_type'] ) )
+ 						$post_type = $_REQUEST['post_type'];
+ 				}
+ 
  				$id = 'edit-' . $taxonomy;
  				break;
  		}
  
! 		if ( 'network' == $in_admin ) {
  			$id   .= '-network';
  			$base .= '-network';
! 		} elseif ( 'user' == $in_admin ) {
  			$id   .= '-user';
  			$base .= '-user';
   		}
***************
*** 497,504 ****
  		$screen->action     = $action;
  		$screen->post_type  = (string) $post_type;
  		$screen->taxonomy   = (string) $taxonomy;
! 		$screen->is_user    = $is_user;
! 		$screen->is_network = $is_network;
  
  		self::$_registry[ $id ] = $screen;
  
--- 528,536 ----
  		$screen->action     = $action;
  		$screen->post_type  = (string) $post_type;
  		$screen->taxonomy   = (string) $taxonomy;
! 		$screen->is_user    = ( 'user' == $in_admin );
! 		$screen->is_network = ( 'network' == $in_admin );
! 		$screen->in_admin   = $in_admin;
  
  		self::$_registry[ $id ] = $screen;
  
***************
*** 528,533 ****
--- 560,582 ----
  	private function __construct() {}
  
  	/**
+ 	 * Indicates whether the screen is in a particular admin
+ 	 *
+ 	 * @since 3.5.0
+ 	 *
+ 	 * @param string $admin The admin to check against (network | user | site).
+ 	 * If empty any of the three admins will result in true.
+ 	 * @return boolean True if the screen is in the indicated admin, false otherwise.
+ 	 *
+ 	 */
+ 	public function in_admin( $admin = null ) {
+ 		if ( empty( $admin ) )
+ 			return (bool) $this->in_admin;
+ 
+ 		return ( $admin == $this->in_admin );
+ 	}
+ 
+ 	/**
  	 * Sets the old string-based contextual help for the screen.
  	 *
  	 * For backwards compatibility.
***************
*** 744,750 ****
  		?>
  		<div id="screen-meta" class="metabox-prefs">
  
! 			<div id="contextual-help-wrap" class="<?php echo esc_attr( $help_class ); ?>">
  				<div id="contextual-help-back"></div>
  				<div id="contextual-help-columns">
  					<div class="contextual-help-tabs">
--- 793,799 ----
  		?>
  		<div id="screen-meta" class="metabox-prefs">
  
! 			<div id="contextual-help-wrap" class="<?php echo esc_attr( $help_class ); ?>" tabindex="-1" aria-label="<?php esc_attr_e('Contextual Help Tab'); ?>">
  				<div id="contextual-help-back"></div>
  				<div id="contextual-help-columns">
  					<div class="contextual-help-tabs">
***************
*** 757,763 ****
  							?>
  
  							<li id="<?php echo esc_attr( $link_id ); ?>"<?php echo $class; ?>>
! 								<a href="<?php echo esc_url( "#$panel_id" ); ?>">
  									<?php echo esc_html( $tab['title'] ); ?>
  								</a>
  							</li>
--- 806,812 ----
  							?>
  
  							<li id="<?php echo esc_attr( $link_id ); ?>"<?php echo $class; ?>>
! 								<a href="<?php echo esc_url( "#$panel_id" ); ?>" aria-controls="<?php echo esc_attr( $panel_id ); ?>">
  									<?php echo esc_html( $tab['title'] ); ?>
  								</a>
  							</li>
***************
*** 827,838 ****
  		<div id="screen-meta-links">
  		<?php if ( $this->get_help_tabs() ) : ?>
  			<div id="contextual-help-link-wrap" class="hide-if-no-js screen-meta-toggle">
! 			<a href="#contextual-help-wrap" id="contextual-help-link" class="show-settings"><?php _e( 'Help' ); ?></a>
  			</div>
  		<?php endif;
  		if ( $this->show_screen_options() ) : ?>
  			<div id="screen-options-link-wrap" class="hide-if-no-js screen-meta-toggle">
! 			<a href="#screen-options-wrap" id="show-settings-link" class="show-settings"><?php _e( 'Screen Options' ); ?></a>
  			</div>
  		<?php endif; ?>
  		</div>
--- 876,887 ----
  		<div id="screen-meta-links">
  		<?php if ( $this->get_help_tabs() ) : ?>
  			<div id="contextual-help-link-wrap" class="hide-if-no-js screen-meta-toggle">
! 			<a href="#contextual-help-wrap" id="contextual-help-link" class="show-settings" aria-controls="contextual-help-wrap" aria-expanded="false"><?php _e( 'Help' ); ?></a>
  			</div>
  		<?php endif;
  		if ( $this->show_screen_options() ) : ?>
  			<div id="screen-options-link-wrap" class="hide-if-no-js screen-meta-toggle">
! 			<a href="#screen-options-wrap" id="show-settings-link" class="show-settings" aria-controls="screen-options-wrap" aria-expanded="false"><?php _e( 'Screen Options' ); ?></a>
  			</div>
  		<?php endif; ?>
  		</div>
***************
*** 876,882 ****
  		$hidden  = get_hidden_columns( $this );
  
  		?>
! 		<div id="screen-options-wrap" class="hidden">
  		<form id="adv-settings" action="" method="post">
  		<?php if ( isset( $wp_meta_boxes[ $this->id ] ) || $this->get_option( 'per_page' ) || ( $columns && empty( $columns['_title'] ) ) ) : ?>
  			<h5><?php _e( 'Show on screen' ); ?></h5>
--- 925,931 ----
  		$hidden  = get_hidden_columns( $this );
  
  		?>
! 		<div id="screen-options-wrap" class="hidden" tabindex="-1" aria-label="<?php esc_attr_e('Screen Options Tab'); ?>">
  		<form id="adv-settings" action="" method="post">
  		<?php if ( isset( $wp_meta_boxes[ $this->id ] ) || $this->get_option( 'per_page' ) || ( $columns && empty( $columns['_title'] ) ) ) : ?>
  			<h5><?php _e( 'Show on screen' ); ?></h5>
***************
*** 888,894 ****
  				<?php
  					meta_box_prefs( $this );
  
! 					if ( 'dashboard' === $this->id && current_user_can( 'edit_theme_options' ) ) {
  						if ( isset( $_GET['welcome'] ) ) {
  							$welcome_checked = empty( $_GET['welcome'] ) ? 0 : 1;
  							update_user_meta( get_current_user_id(), 'show_welcome_panel', $welcome_checked );
--- 937,943 ----
  				<?php
  					meta_box_prefs( $this );
  
! 					if ( 'dashboard' === $this->id && has_action( 'welcome_panel' ) && current_user_can( 'edit_theme_options' ) ) {
  						if ( isset( $_GET['welcome'] ) ) {
  							$welcome_checked = empty( $_GET['welcome'] ) ? 0 : 1;
  							update_user_meta( get_current_user_id(), 'show_welcome_panel', $welcome_checked );
